#ifndef CERT_H_
#define CERT_H_

//2021/12/15まで有効
//GlobalSign-Root-CA-R2
const char GoogleSpreadSheet_rootCA[] =
    "-----BEGIN CERTIFICATE-----\n"
    "MIIDujCCAqKgAwIBAgILBAAAAAABD4Ym5g0wDQYJKoZIhvcNAQEFBQAwTDEgMB4G\n"
    "A1UECxMXR2xvYmFsU2lnbiBSb290IENBIC0gUjIxEzARBgNVBAoTCkdsb2JhbFNp\n"
    "Z24xEzARBgNVBAMTCkdsb2JhbFNpZ24wHhcNMDYxMjE1MDgwMDAwWhcNMjExMjE1\n"
    "MDgwMDAwWjBMMSAwHgYDVQQLExdHbG9iYWxTaWduIFJvb3QgQ0EgLSBSMjETMBEG\n"
    "A1UEChMKR2xvYmFsU2lnbjETMBEGA1UEAxMKR2xvYmFsU2lnbjCCASIwDQYJKoZI\n"
    "hvcNAQEBBQADggEPADCCAQoCggEBAKbPJA6+Lm8omUVCxKs+IVSbC9N/hHD6ErPL\n"
    "v4dfxn+G07IwXNb9rfF73OX4YJYJkhD10FPe+3t+c4isUoh7SqbKSaZeqKeMWhG8\n"
    "eoLrvozps6yWJQeXSpkqBy+0Hne/ig+1AnwblrjFuTosvNYSuetZfeLQBoZfXklq\n"
    "tTleiDTsvHgMCJiEbKjNS7SgfQx5TfC4LcshytVsW33hoCmEofnTlEnLJGKRILzd\n"
    "C9XZzPnqJworc5HGnRusyMvo4KD0L5CLTfuwNhv2GXqF4G3yYROIXJ/gkwpRl4pa\n"
    "zq+r1feqCapgvdzZX99yqWATXgAByUr6P6TqBwMhAo6CygPCm48CAwEAAaOBnDCB\n"
    "mTAOBgNVHQ8BAf8EBAMCAQYwDwYDVR0TAQH/BAUwAwEB/zAdBgNVHQ4EFgQUm+IH\n"
    "V2ccHsBqBt5ZtJot39wZhi4wNgYDVR0fBC8wLTAroCmgJ4YlaHR0cDovL2NybC5n\n"
    "bG9iYWxzaWduLm5ldC9yb290LXIyLmNybDAfBgNVHSMEGDAWgBSb4gdXZxwewGoG\n"
    "3lm0mi3f3BmGLjANBgkqhkiG9w0BAQUFAAOCAQEAmYFThxxol4aR7OBKuEQLq4Gs\n"
    "J0/WwbgcQ3izDJr86iw8bmEbTUsp9Z8FHSbBuOmDAGJFtqkIk7mpM0sYmsL4h4hO\n"
    "291xNBrBVNpGP+DTKqttVCL1OmLNIG+6KYnX3ZHu01yiPqFbQfXf5WRDLenVOavS\n"
    "ot+3i9DAgBkcRcAtjOj4LaR0VknFBbVPFd5uRHg5h6h+u/N5GJG79G+dwfCMNYxd\n"
    "AfvDbbnvRG15RjF+Cv6pgsH/76tuIMRQyV+dTZsXjAzlAcmgQWpzU/qlULRuJQ/7\n"
    "TBj0/VLZjmmx6BEP3ojY+x1J96relc8geMJgEtslQIxq/H5COEBkEveegeGTLg==\n"
    "-----END CERTIFICATE-----\n";

static const char rootCA[] =
    "-----BEGIN CERTIFICATE-----\n"
    "MIIDszCCApugAwIBAgIJAMp6h76O4KV4MA0GCSqGSIb3DQEBCwUAMHAxCzAJBgNV\n"
    "BAYTAkpQMQ8wDQYDVQQIDAZOYWdhbm8xEDAOBgNVBAcMB0F6dW1pbm8xFjAUBgNV\n"
    "BAoMDUNpcmN1aXREZXNpZ24xCzAJBgNVBAsMAkNBMRkwFwYDVQQDDBBjcmljdWl0\n"
    "ZGVzaWduLmpwMB4XDTIwMDkyNTA3MTMzN1oXDTIxMDkyNTA3MTMzN1owcDELMAkG\n"
    "A1UEBhMCSlAxDzANBgNVBAgMBk5hZ2FubzEQMA4GA1UEBwwHQXp1bWlubzEWMBQG\n"
    "A1UECgwNQ2lyY3VpdERlc2lnbjELMAkGA1UECwwCQ0ExGTAXBgNVBAMMEGNyaWN1\n"
    "aXRkZXNpZ24uanAwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDL/o35\n"
    "SxCnnzRzP0JDo+XUYdSc0Yn3wgyPxlpbvrEQ2ml30TMqyesj2TLP0YcgPtbvmh5j\n"
    "OuhbAjRFfc1cele3AO0Q/qR3IXWf2sUlIHR3hcZMP1s2GD7pv463HRmqVGF7o/af\n"
    "duOLxT2Ye9b4T+20Vv2xVtZ9ubhtcu09UuqlWY8Z9Awe/Hv0eR5pE5c2YxuH7rm0\n"
    "uxZRwLmfHXxxBGB4RwzxQGNf7vHeMegCo1xj3DQn8V00w6AYvX34idfEhKUb70lI\n"
    "whJHLpnCC/v0ksl5613htrWYl9vKUVbL0LViUz3jKnH9hpIQUtlc33oRHNU25IUO\n"
    "OxcAd/SWib+wW7N9AgMBAAGjUDBOMB0GA1UdDgQWBBSuYWTxoX29ztu6pMW1ibLZ\n"
    "ys1fZzAfBgNVHSMEGDAWgBSuYWTxoX29ztu6pMW1ibLZys1fZzAMBgNVHRMEBTAD\n"
    "AQH/MA0GCSqGSIb3DQEBCwUAA4IBAQAB5xfkBXZZmtRuAtwA6oFuzV9lT/0xe5Cv\n"
    "1E8HyjcdDFyiX+RJPFCIe6iKzyNapGF+r8mD2YsTxSrrlwYM9zRClZCBSqggbUbF\n"
    "phioPD7p6visP59Oh7aNUZ0anG5YcDBlDTc7gY0OMBxopNtOB1nVj94EZCOUetZD\n"
    "ucusGE5dSL/zrycDZxgGFayfKBOzVDPwH3gomLjOEGCq1scz3agGCpYlBiFEb1vR\n"
    "xaXnsUVH+TAh2KmUxUfawzS3sEJ/wGpRR6CzGhljaUFLJG7zZDk2AsojW5QZqaxm\n"
    "J9OoS/Vn3BIryl6IHYggaO5k1X8m6zOwb8qqnbN9xHiiPZ+Asuu8\n"
    "-----END CERTIFICATE-----\n";

static const char certificate[] =
    "-----BEGIN CERTIFICATE-----\n"
    "MIIDWzCCAkMCCQCC2MaqB06gHDANBgkqhkiG9w0BAQsFADBwMQswCQYDVQQGEwJK\n"
    "UDEPMA0GA1UECAwGTmFnYW5vMRAwDgYDVQQHDAdBenVtaW5vMRYwFAYDVQQKDA1D\n"
    "aXJjdWl0RGVzaWduMQswCQYDVQQLDAJDQTEZMBcGA1UEAwwQY3JpY3VpdGRlc2ln\n"
    "bi5qcDAeFw0yMDA5MjUwNzEzMzhaFw0yMTA5MjUwNzEzMzhaMG8xCzAJBgNVBAYT\n"
    "AkpQMQ8wDQYDVQQIDAZOYWdhbm8xEDAOBgNVBAcMB0F6dW1pbm8xFjAUBgNVBAoM\n"
    "DUNpcmN1aXREZXNpZ24xDzANBgNVBAsMBkNsaWVudDEUMBIGA1UEAwwLZXNwMzIu\n"
    "bG9jYWwwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQDHDxtBSUdaz7r4\n"
    "zvfKilzUAfcwa3DTRES3sQfu+1WufgSBesIHMIsWb1q95Xyjz1XAvrmK/gCl8kOy\n"
    "w1Qi+V1dor4yqgcDtFP8VGDFIXKnbLYmzrCj0eQPxtUGRjDkC/x2P1T3UI+PWeLd\n"
    "mkhVFJ6v0a8JfHWen8ruCrHzdqHEVf9rycz0RdDWK/+2QtXtJCP3XUxU8Pm2vW9e\n"
    "IEikAn43o5jUKkbI9MqrtZv0mGEDCcPD0K1rxtBjSI0wYIlXTkRAImRXzhozhK4b\n"
    "jqdeC+T3nDWNqmTxpVvZkofLLzzTMXnDPRSM4t7wDgiiRjoRnTk4yzDw1pChvUXS\n"
    "39fGUp4FAgMBAAEwDQYJKoZIhvcNAQELBQADggEBAGsIAm4oJK/5Ze/d8eLj65lc\n"
    "qNYz0Lp6qml/LaHq3/7fhPixuRQKDuG0/oAZ0h4UMOmLvUsDs5lJ5KVSgc6ODrcq\n"
    "bdzSx7x1sAhjLoV6xHY+dsT0F+fZTmbZb0V8Usec/lyVe8/xNMXFhQrlBoLu8rbT\n"
    "u/7ugZXqC1W02cdMVYzPm5pLceSMI1oWYmFSWJcJfYmyrVbCBFhsplmK9tf/co9k\n"
    "v5zpkbJ5jSLU0OeYH1tRS1bWgzLK2XprxkyMv6XsZWT7SPD+mPQBuePU58Y7VHpV\n"
    "SQN55YENWkMptaHDQFJME5WBk72zJukN/PGbg3cEfpBYk0EZycwzc/K6ZeSZD3M=\n"
    "-----END CERTIFICATE-----\n";

static const char privateKey[] =
    "-----BEGIN PRIVATE KEY-----\n"
    "MIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQDHDxtBSUdaz7r4\n"
    "zvfKilzUAfcwa3DTRES3sQfu+1WufgSBesIHMIsWb1q95Xyjz1XAvrmK/gCl8kOy\n"
    "w1Qi+V1dor4yqgcDtFP8VGDFIXKnbLYmzrCj0eQPxtUGRjDkC/x2P1T3UI+PWeLd\n"
    "mkhVFJ6v0a8JfHWen8ruCrHzdqHEVf9rycz0RdDWK/+2QtXtJCP3XUxU8Pm2vW9e\n"
    "IEikAn43o5jUKkbI9MqrtZv0mGEDCcPD0K1rxtBjSI0wYIlXTkRAImRXzhozhK4b\n"
    "jqdeC+T3nDWNqmTxpVvZkofLLzzTMXnDPRSM4t7wDgiiRjoRnTk4yzDw1pChvUXS\n"
    "39fGUp4FAgMBAAECggEBAIvSTqCzKk3dcEXoiyFXwxCgONNoBJ5Ba8tjrGDvZiXl\n"
    "GqEgaz3FmU0u9pxAoCYoMuHqlkXNWQM3gtoEXgsbAbwN3m+UAs1VU1EAq+CMOA7m\n"
    "S6RCtsy7V+jFD0kS8LCewr0Ei1gU3GIjDzn9byVkEHsLXFnbdHrxXweJt6l+AO75\n"
    "Ab05kyIMPQ6edVmTQQNckgEGlxzc6BxocMQWl8atwQbszEDo88AsLz2tjESDWzs7\n"
    "BwQCvRegms9T0qNJd+zrQaf6ky7lbYgTw4APIbXq2BihX2AW3NsTMcZWuJ1U+/uV\n"
    "7du1CyuOzgXjuMJ/RPB8mUGNTuZ5McgIRseqU31ta1kCgYEA/pfHkwDy5JDh9uTw\n"
    "eGeLjsuqpm2/OvZQPsJDaAJZsEdQTmADSMvUkBjYCgx4ShWwvRNDz80xzcqU5+0C\n"
    "5VMkcudognZjgIO/TjJTbP/MHeK1AvfGxTMdqa7AkINNEOx3SNSugAO3olcDrRH6\n"
    "8IfP2WCT0hYhPZZ+8ZtJuZy1zUsCgYEAyCjArmFCZnoOQLIK72iUmr7DeaaeXtC0\n"
    "1Si31IMnXaJN0sIRXew4cfOzxeFo3Rae8GJDKe1LsKjWKHGIk6oZp2uLKZ8rSlI8\n"
    "sjSPAHXH2MTWVhcx113mZZrDM5LzFMC2SlNuL/zXDhSy2wi8g7hOicCUFTFwVPYT\n"
    "3B6qnuonv+8CgYEAkNKGFHlVse84mtlgcR11paT1Tfbf8QpsW0bmUSQFIOFwLSUw\n"
    "uRg5sj5vpkexpXLxNpze1jZDPm0eh0+rdgf1k+dO6+esck5/ZFv8WOSpl9Z+YVHR\n"
    "IBwTo5Jkt8/45seckzFokimLLC2TScAQnwKimWT2sWslPYN+crGDHrKmOEECgYB0\n"
    "aJcfE7uNY+EUKTgI4rbChL2k641hsVnqOqMnOhvT7gf60hlNmYt+YnCkXiMhqf1H\n"
    "6q4LHVIO7TKYFOeMkboXz4kA7Ow9bjSUo9KjPty6qkfJi/XVvmu3ndl3DjjHUgjy\n"
    "kzEbQZ5FNy6KCruwk6lBnjnBVZ5yGyeTtlYe1CnICwKBgFUK8BIyrJlGfNvTumu1\n"
    "YaReueXbLoGP+rGo0n49+giuf9VKtg4FM3oe9II/Ni7MBtEAoyggoqIUfcwoyUU+\n"
    "aCLBU9o4q39MBnoBHsz9FftXvOXQwgyfLbmHUTdE9auObFcuG24Qqyb05/kPx4Rh\n"
    "bp56BDK5q/2HRaDD+kBRwaBo\n"
    "-----END PRIVATE KEY-----\n";

#endif
